> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Signature



## OpenAPI

````yaml /products/commerce/v1/integration/extensions/openapi.yaml post /sepa-mandates
openapi: 3.1.0
info:
  title: Commerce V1 Extension Services API
  version: '1.0'
  description: >
    This specification describes the HTTP endpoints that your services can
    implement to extend Hellgate Commerce V1.  Commerce V1 calls these endpoints
    during payment processing flows.
  contact:
    name: Starfish GmbH & Co. KG
    email: hello@starfish.team
    url: https://hellgate.io/cpa/commerce
  license:
    name: Hellgate API Terms
    url: https://hellgate.io/terms-and-conditions
servers:
  - url: https://your.service.com
    description: Your extension service
security:
  - ApiKey: []
paths:
  /sepa-mandates:
    post:
      summary: Request Signature
      operationId: request_mandate_signing
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MandateCreateRequest'
      responses:
        '201':
          description: Mandate created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MandateCreateResponse'
        '417':
          description: SDD account validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SddAccountValidationError'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        4XX:
          description: Generic service error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServiceError'
components:
  schemas:
    MandateCreateRequest:
      type: object
      required:
        - data
        - return_url
      properties:
        return_url:
          type: string
          format: uri
        data:
          type: object
          required:
            - debit_method
            - sequence_type
            - debtor
            - extension
          properties:
            debit_method:
              type: string
              enum:
                - B2B
                - CORE
            sequence_type:
              type: string
              enum:
                - ONE_OFF
                - RECURRING
            debtor:
              $ref: '#/components/schemas/Debtor'
            extension:
              $ref: '#/components/schemas/Extension'
    MandateCreateResponse:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: External mandate ID assigned by the SEPA service
    SddAccountValidationError:
      type: object
      required:
        - error_message
      properties:
        error_message:
          type: string
    ValidationError:
      type: object
      required:
        - classifier
        - validation_errors
      properties:
        classifier:
          type: string
          enum:
            - VALIDATION_ERROR
        validation_errors:
          type: array
          items:
            type: object
            required:
              - path
              - message
            properties:
              path:
                type: string
              message:
                type: string
    ServiceError:
      type: object
      required:
        - classifier
        - message
      properties:
        classifier:
          type: string
        message:
          type: string
    Debtor:
      type: object
      required:
        - name
        - email
        - iban
        - bic
      properties:
        name:
          type: string
          maxLength: 70
          pattern: ^[0-9a-zA-Z +?\-:()\.,'\/]+$
          description: 'Allowed symbols: 0-9 a-Z space -:().,''/'
        email:
          type: string
          format: email
        iban:
          type: string
        bic:
          type: string
        address:
          $ref: '#/components/schemas/Address'
    Extension:
      type: object
      required:
        - signees
      properties:
        signees:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/Signee'
    Address:
      type: object
      required:
        - address_line
        - city
        - country_code
        - postal_code
      properties:
        address_line:
          type: string
        city:
          type: string
        country_code:
          type: string
          description: ISO 3166-1 alpha-2 country code (SEPA countries only)
        postal_code:
          type: string
    Signee:
      type: object
      required:
        - email
        - name
      properties:
        email:
          type: string
          format: email
        name:
          type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key

````